import 'package:flutter/material.dart';
import 'package:hx_components_flutter/hx_components.dart';
import 'package:hx_components_flutter/hx_utils.dart';

class HxInvisibleTextExposer extends StatelessWidget {
  final String title;
  final String? info;

  const HxInvisibleTextExposer({
    super.key,
    required this.title,
    this.info,
  });

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.only(left: 4),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          HxText(title, color: kcDarkGrey),
          Padding(
            padding: const EdgeInsets.only(left: 4),
            child: HxText(info ?? '-'),
          ),
        ],
      ),
    );
  }
}
